# Note that this is NOT a relocatable package
%define ver      1.2.7
%define rel      4mdk
%define prefix   /usr

Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name: gtk+
Version: %ver
Release: %rel
Copyright: LGPL
Group: System/Libraries
Source: ftp://ftp.gimp.org/pub/gtk/v1.2/gtk+-%{ver}.tar.bz2
Source1: gtkrc-default
Source2: gtk+-1.2.4-po.tar.bz2
Source3: gtk+-i18n-files.tar.bz2
Icon: gtk+-logo.xpm
BuildRoot: /var/tmp/gtk-%{PACKAGE_VERSION}-root
Obsoletes: gtk
URL: http://www.gtk.org
Requires: glib >= %{version}
Docdir: %{prefix}/doc

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.


%package devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications.
Group: Development/GNOME and GTK+
Icon: gtk+-devel-logo.xpm
Requires: gtk+ = %{PACKAGE_VERSION}
Requires: glib-devel
Requires: XFree86-devel
Obsoletes: gtk-devel
PreReq: /sbin/install-info

%description devel
The gtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications.  The gtk+-devel
package contains glib (a collection of routines for simplifying the
development of GTK+ applications), GDK (the General Drawing Kit, which
simplifies the interface for writing GTK+ widgets and using GTK+ widgets
in applications), and GTK+ (the widget set).

Install gtk+-devel if you need to develop GTK+ applications.  You'll also
need to install the gtk+ package.

%changelog
* Tue Mar 21 2000 DindinX <odin@mandrakesoft.com> 1.2.7-4mdk
- corrected the paths in glib-config

* Tue Mar 21 2000 DindinX <odin@mandrakesoft.com> 1.2.7-3mdk
- Patches cleanups (now use 1.2.7 from www.gtk.org instead of 1.2.4 + patches

* Mon Mar 20 2000 DindinX <odin@mandrakesoft.com> 1.2.7-2mdk
- Group and spec fixes

* Sat Feb 19 2000 DindinX <odin@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7

* Thu Jan 27 2000 DindinX <odin@mandrakesoft.com> 1.2.6-8mdk

- disable all debugging stuff by adding --enable-debug=no to the configure
  script.

* Thu Jan 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.6-7mdk

- enabled XInput support

* Thu Jan  6 2000 Pixel <pixel@mandrakesoft.com>
- more stars in the fontset of et of vi_VN.tcvn

* Thu Jan  6 2000 Pixel <pixel@mandrakesoft.com>
- really 1.2.6 (and silimi)

* Fri Nov 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- New po files from Pablo
- Remove summary/description clutter 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- 1.2.6

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Real 1.2.5 (chmou sux).
- 1.2.5

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- a little i18n patch for gfontsel
- latest translations
- tooltip colours in /etc/gtkrc

* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.2.4

* Tue Aug 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove completely the /etc/gtk/gtkrc (completely sucks :-(( )

* Sat Aug 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove style "default-text" in gtkrc (cause trouble with i18n language).

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without glib-1.3 :-((

* Wed Jul 14 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included latest *.po files from GNOME CVS
- and added back descriptions from RH 5.2
- added an icon for the rpm

* Thu Jul 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- put back --sysconfdir=/etc for config time (otherwise the files on /etc are
  never read)

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environment.

* Thu May 12 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.2.3

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- patches from owen to handle various gdk bugs

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added XFree86-devel requirement for gtk+-devel

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- removed /usr/info/dir.gz file from package

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2.0

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre2, patched to use --sysconfdir=/etc

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- patched in Owen's patch to fix Metal theme

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- added Theme directory to file list
- up to 1.1.7 for GNOME freeze

* Sun Oct 25 1998 Shawn T. Amundson <amundson@gtk.org>
- Fixed Source: to point to v1.1 

* Tue Aug 04 1998 Michael Fulbright <msf@redhat.com>
- change %postun to %preun

* Mon Jun 27 1998 Shawn T. Amundson
- Changed version to 1.1.0

* Thu Jun 11 1998 Dick Porter <dick@cymru.net>
- Removed glib, since it is its own module now

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

* Tue Apr  8 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.0

* Tue Apr  7 1998 Owen Taylor <otaylor@gtk.org>
- Changed version to 0.99.10

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.9
- Changed gtk home page to www.gtk.org

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.8

* Sun Mar 15 1998 Marc Ewing <marc@redhat.com>
- Added aclocal and bin stuff to file list.
- Added -k to the SMP make line.
- Added lib/glib to file list.

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.7

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Updated ftp url and changed version to 0.99.6

* Thu Mar 12 1998 Marc Ewing <marc@redhat.com>
- Reworked to integrate into gtk+ source tree
- Truncated ChangeLog.  Previous Authors:
  Trond Eivind Glomsrod <teg@pvv.ntnu.no>
  Michael K. Johnson <johnsonm@redhat.com>
  Otto Hammersmith <otto@redhat.com>
  
%prep
%setup -n %{name}-%{ver}

tar yxvf %{SOURCE2}
tar yxvf %{SOURCE3}
cp configure.in AA && \
        cat AA | sed 's|^ALL_LINGUAS.*$|ALL_LINGUAS="ca cs de es fi fr hr hu it ja ko nl no pl pt ru sl sk sv wa zh_TW.Big5"|' > configure.in

%build
[ -f ./autogen.sh ] && {
CFLAGS="$RPM_OPT_FLAGS" sh ./autogen.sh --prefix=%prefix --sysconfdir="/etc" --with-xinput=xfree --enable-debug=no
} || {
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir="/etc" --with-xinput=xfree --enable-debug=no
}

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

install -m 444 %{SOURCE1} $RPM_BUILD_ROOT/etc/gtk/gtkrc

find $RPM_BUILD_ROOT/ -type 'f' -name '*[0-9]'|xargs file|grep troff\
|cut -d: -f1|xargs bzip2 -9
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
	file $i|grep -q "not stripped" && strip $i
done

# i18n garbage with this one.
rm -f $RPM_BUILD_ROOT/etc/gtk/gtkrc

cat > $RPM_BUILD_ROOT/etc/gtk/gtkrc << EOF
style "gtk-tooltips-style" {
  bg[NORMAL] = "#ffffc0"
}

widget "gtk-tooltips" style "gtk-tooltips-style"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/lib/libgtk-1.2.so.*
%{prefix}/lib/libgdk-1.2.so.*
%{prefix}/share/themes/Default
%{prefix}/share/locale/*/*/*
%config /etc/gtk/*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/man/man1/*
%{prefix}/include/*
%{prefix}/share/aclocal/*
%{prefix}/bin/*
